Package org.drinkless.tdlib

# Class TdApi.MessagePassportDataReceived

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessagePassportDataReceived

Enclosing class:
  `TdApi`

public static class TdApi.MessagePassportDataReceived extends TdApi.MessageContent
Telegram Passport data has been received; for bots only.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.EncryptedCredentials`
  `credentials`
  Encrypted data credentials.
  `TdApi.EncryptedPassportElement[]`
  `elements`
  List of received Telegram Passport elements.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessagePassportDataReceived()`
  Telegram Passport data has been received; for bots only.
  `MessagePassportDataReceived(TdApi.EncryptedPassportElement[] elements, TdApi.EncryptedCredentials credentials)`
  Telegram Passport data has been received; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### elements

    public TdApi.EncryptedPassportElement[] elements
    List of received Telegram Passport elements.

  - ### credentials

    public TdApi.EncryptedCredentials credentials
    Encrypted data credentials.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessagePassportDataReceived

    public MessagePassportDataReceived()
    Telegram Passport data has been received; for bots only.

  - ### MessagePassportDataReceived

    public MessagePassportDataReceived(TdApi.EncryptedPassportElement[] elements, TdApi.EncryptedCredentials credentials)
    Telegram Passport data has been received; for bots only.
    Parameters:
      `elements` - List of received Telegram Passport elements.
      `credentials` - Encrypted data credentials.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR